IPWCTL(8) | System Manager's Manual | IPWCTL(8)

# NAME

`ipwctl` —
configure Intel PRO/Wireless 2100 network adapter

# SYNOPSIS

`ipwctl` | [`-i`] iface

`ipwctl` | [`-i`] iface `-r`

# DESCRIPTION

The `ipwctl` utility controls the operation of Intel PRO/Wireless 2100 networking devices via ipw(4) driver.

You should not use this program to configure IEEE 802.11 parameters. Use ifconfig(8) instead.

# OPTIONS

The options are as follows:

`-i` iface
  Display adapter's internal statistics.
`-i` iface `-r`
  Display the radio switch state (on or off).

# FILES

The firmware, loaded automatically, is not shipped with NetBSD; install the pkgsrc/sysutils/ipw-firmware package. The original archive is available from Intel at: http://ipw2100.sourceforge.net/firmware.php?fid=3.

ipw2100-1.2.fw
  BSS mode (connection to an access point) firmware
ipw2100-1.2-i.fw
  IBSS mode (point-to-point connection) firmware
ipw2100-1.2-p.fw
  Monitor mode firmware

# SEE ALSO

ipw(4), ifconfig(8), pkgsrc/sysutils/ipw-firmware

# AUTHORS

The `ipwctl` utility and this man page were written by Damien Bergamini <damien.bergamini@free.fr>.

April 17, 2006 | NetBSD 9.0